Websites

List websites

GET/api/websites

Returns a paginated list of the current user's websites, optionally including websites accessible through team membership.

Headers

NameTypeDescription
AuthorizationrequiredstringAuthentication credentials, e.g. Bearer <token>.

Query parameters

NameTypeDescription
pageintegerPage number, starting at 1.
pageSizeintegerNumber of results per page.
maxResultsintegerMaximum number of results to include.
searchstringSearch text used to filter results.
orderBystringField to sort the results by.
sortDescendingenum<string>Whether to sort results in descending order.
Options: true, false
includeTeamsstringWhen present, include websites accessible through owned or managed teams.

Responses

200A page of websites.
NameTypeDescription
countrequiredintegerNumber of matching records.
datarequiredWebsite[]Data returned by the operation.
orderBystringField to sort the results by.
pagerequiredintegerPage number, starting at 1.
pageSizerequiredintegerNumber of results per page.
searchstringSearch text used to filter results.
200 example
400Bad request.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
400 example
401Unauthorized.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
401 example

Code samples

cURL